Secure Notes Organizer: versions history
----------------------------------------

        [+] new feature
        [*] improvement/modification or bug fix

Version 2.4.0 (March 21, 2002)

   [+] Added ability to export selected note into HTML file
       (reachable from MENU / Edit or from Context menu )

Version 2.3.2 (March 11, 2002)

   [*] Fixed several small bugs

Version 2.3.1 (February 18, 2002)

   [*] Fixed bug in AutoSave function. The bugged version 
       could erase document in some situations
   [+] Added Czech interface language

Version 2.3.0 (January 7, 2002)
   
   [+] Added ability to edit message with attached .sec file
       in e-mail program before sending document to another
       user from SNO
   [+] Added interface in Slovak language
   [+] Added interface in Turkish language
   [*] Fixed bug: the program crashed itself
       on removing minidocument

Version 2.2.9 (December 13, 2001)
   
   [+] Updated interface in German language
   [+] Added interface in Serbian language

Version 2.2.8 (November 24, 2001)
   
   [+] Added interface in German language
   [+] Added interface in Lithuanian language

Version 2.2.7 (November 6, 2001)
    
   [+] Added AutoBackup feature (Options->Saving->Autobackup).
       This tool can be configured to make several backup copies
       of current document.
   [*] Fixed bug: inability to save changes in a document on 
       making changes in tree only (not text pane)

Version 2.2.6 (October 24, 2001)
    
   [+] Added ability to send document via e-mail 
       (File->Send via Email)

Version 2.2.5 (October 11, 2001)
    
   [++] Added 'Generate Print Preview Report' tool. It allows
        creating full scale print report including table of
        contents with numbering, text body. Fully configurable
        font settings for each title item.
        Well, with this tool, now it is possible to print
        COMPLETE document with all document structure including
        calendars, trees, shortcuts, etc
    [*] Fixed bug: memory exception of removing folder with 
        shortcuts
    [*] Fixed bug: inability to rename tree leaf after creation 
        immidiately

Version 2.2.3 (September 25, 2001)
    
    [+] Added document AutoSave function
    [*] Default Font is set up on every tree leaf document creation

Version 2.2.2 (August 15, 2001)
    
    [+] Added ability to collect & remove garbage (empty notes) from 
        autocalendar folder (it can be reached from pop-up menu. 
        Rmouseclick on folder title)

Version 2.2.0 (June 30, 2001)
    
    [+] Added ability to insert any date into calendar. For example it is
        possible to insert 1950 year by two mouse clicks
    [*] Fixed double asking "Would you like to save changes in document"

Version 2.1.9 (June 19, 2001)
    
    [+] Added toolbar's button 'Expand All'. It is used to expand
        all tree's leafs
    [+] Added toolbar's button 'Collapse All'. It is used to collapse
        all tree's leafs
    [+] Added Chinese Simplified language (GBK) language
    [+] Added Chinese Traditional (BIG5) language
    [+] Added Danish language

Version 2.1.8 (June 8, 2001)
    
    [+] Now www.notesorganizer.com is official site of the program
    [+] Added portuguese language
    [+] Added version number to About dialog
    

Version 2.17 (May 20, 2001)

	[+] Format panel is updated everytime when you changes position of
	    your text cursor (it affects to BOLD, UNDERLINED, ITALIC, FONT
	    NAME, FONT SIZE)
	[+] Added 'Document's colors' column to the Colors pop-up menu. It
	    means that you can easily choose any previously used color 
	    from the list.

Version 2.16 (April 26, 2001)

	[+] New function 'File | Save As...'

Version 2.15 (February 25, 2001)

	[+] New installator
	[+] Installator detects running copies of program and asks to close it
	    before installation
	[+] Added Swedish language
	[+] On [X] close button, program closes and does not go to tray
	[+] Added ability to rename tree leafs using F2 hot key
	[+] Added ability to remove tree leaf using DEL hot key
	[+] Added 'View->Swith pane' command to switch view between 
	    Folders panel and Edit panel. F5 hot key assigned for
	    this command
	[+] 'Customize' command added to Options->Appearance dialog. It
	    exists at View menu also
	[*] Bug. On [X] going to tray, and than restoring, all hot keys were not
	    working. Fixed.
	[*] On opening new document, current document is not closed until
	    Ok button is pressed
	[*] Document Title View is cleared on close document
	[*] Actions->Tray command is executed on Shift-Esc instead Esc
	[*] On File->Close all temporary files are removed from system
	[*] On File->Close, current Edit panel is cleared
	[*] Changed position of 'Folders' menu
	
Version 2.14 (January 10, 2001)

	[!] Program's name has been changed from
	    Memoirs2001 Pro to Secure Notes Organizer
	[*] Changed splash screen
	[+] New multilingual installation system 

Version 2.13 Christmas Release (December 9, 2000)

	[+] Added auto URL recognition. So, now it
	    is possible to insert urls like http,
	    mailto, etc
	[+] Added Spanish language
	[+] Added Ukrainian language
	[+] Added nice christmass splash at start-up

Version 2.12 (December 1, 2000)

	[+] Added ability to sort first-level tree 
	    items by using folder menu
	[+] Added ability to sort childs of selected
	    tree leaf by using pop-up menu
	[+] Added ability to sort all childs and 
	    grandchilds of selected tree leaf
	[+] Added ability to sort all tree leafs
	    and all childs of selected folder
	[+] Added hotkey information into the status
	    bar
	[+] Added Korean language
	[+] Added Hungarian language
	[+] Added Italian language
	[+] Added Dutch language
	[*] Commands: Move it up, move it down, 
	    move it left, move it right are not 
	    disabled now. Tree.
	[*] After renaming tree leaf, document title is
	    renamed immediately
	[*] After renaming shortcut, document title is 
	    renamed immediately

Version 2.11 (25 October 2000)

        [+] New powerful language system allowing
            to add new languages without changing
            main programme
        [+] As example added russian.lng
        [+] Ability to configure ALL context menus
        [+] Added new options page Shell Integration,
            with option "Launch Memoirs2000 at Windows
            StartUp
        [+] Added two new buttons - Move Folder Up and
            Move Folder Down
        [+] Added ability to insert tree leafs without
            any icon
        [+] Added comments to every button and menu item
        [+] Added new registration dialog allowing to
            choose way of registration - online or offline
        [*] On insert tree leaf, leaf has same image
            that current leaf has
        [*] Improved tree icon selecter dialog
        [*] Fixed error - "Can't open /EVERYDAY file"
        [*] Improved dialog "Configure Away Time"
        [*] Tray menu has more nice style
	[*] Position of context menu is always near mouse pointer now
	[*] F12 key works again now as Extended Away mode

Version 2.10 (27 September 2000)

        [+] Added ability to share document via
        network!
        [+] Fully changed interface of the program.
        [+] New   ability   to  create/redesign  own
        toolbars!
        [+] New   ability   to  create/redesign  own
        menu(s)!
        [+] New ability to change/assign own keyboard
        commands for menu items
        [*] New splash screen
        [+] Fully redesigned menu
        [*] Redesigned options dialog
        [*] Redesigned "Create New Document" dialog
        [*] Redesigned "Password" dialog
        [*] Redesigned "Security Manager" dialog
        [*] Redesigned "Open File" dialog
        [*] Correct inserting of current month name to
        an autocalendar tree
        [*] Program  warns user if he tries to create
        document with exisitng name
        [-] Program  crashes  when user tries to call
        Statistics sometime
        [-] Program  crashes  when  user  tries to do
        Global Find sometime
        [!]  Exit  button  works  on "Password" dialog
        correctly

Version 2.09 (30 August 2000)

        [+] Added new Estonian language
        [+] Added ability to export document to text
        file
        [+] Added ability to take off automate adding
        current date to the autocalendar folder

Version 2.08 (26 April 2000)

        [+] New advanced statistics for document
        (number of folders, document, branches, size
        of file, words count)
        [+] New nice password window

Version 2.07 (30 March 2000)

        [+] Intermediate files (.lzw) are stored in
        Windows temp directory. So, you can keep your
        documents directly on diskettes.
        [+] Folders have more nice style
        [+] Active folder has bold font
        [+] Security Settings dialog can be moved by
        using mouse
        [+] New design for Options | Date Font
        [+] Several new icons on Formatting Toolbar
        [*]  New branch being inserted By using pop-up
        menu can be renamed immediately
        [*] Clock removed from Statistics dialog
        [*]  Under  Win2000&NT tray menu doesn't crash
        program
        [*]  Under  Win2000&NT program can be restored
        from tray menu -> Restore Program Window
        [*]   Under   Win2000&NT  program  doesn't  go
        directly to tray after it has been executed
        [*] Under Win2000&NT tray menu has text
        [*]  Under  Win2000&NT icons for minidocuments
        are transparent
        [*]  Under Win2000&NT icons are transparent in
        the Icon Selecter dialog
        [*]  Under Win2000&NT icons are transparent in
        the New File | Template Dialog
        [*]   Under   Win2000&NT   toolbar  icons  are
        transparent
        [*] Under Win2000&NT About Dialog works

Version 2.06

        [+] Added ability to copy/paste tree branches
        [+]  Powerful  HTMLHelp system (was written by
        great Indian writter Abhay Mehta)
        [+]  Program  can  be restored from tray being
        double  clicked  by  left mouse button on tray
        icon
        [+]  Added hot key F11 - soft protect and hide
        to tray
        [+]  Added hot key F12 - hard protect and hide
        to tray
        [+] Added Menu Item : Actions | Minimize - Esc
        hot key
        [+]  Added  hot  key  Alt-X  - exit programme.
        Alt-F4, Esc - go to Tray
        [+]  New  registration system based on RSA1024
        keys
        [*] Documents are loaded significally faster
        [*] Tree branches are bold checked correctly
        !  Calculator  can  be  executed  from Tools |
        Calculator
        !  Password  is  not remembered after document
        has been closed
        !  Folders  are  not  slidered during document
        loading
        [+]  DateSelecter  dialog  is not blocked when
        the  date  is  inserted to autocalendar folder
        from Pop-up menu

Version 2.05
        [+] New improved HTMLHelp
        [+]  Powerful  shreding algorithm from GUIDESX
        Encryptor.   It   is   used  in  the  internal
        Shredder.
        [+] All intermediary files are shredded by new
        algorithm - even in unregistered version
        [+]  All  traces  of edited document are found
        and  cleared  in the memory, so nobody can see
        parts  of your memoirs in Windows swap file or
        elsewhere - even in unregistered version
        [+] All icons are replaced to new nice icon in
        the menu
        [+]  Improved  drawing of the frame of current
        selected menu item
        [+]  Menu  item "Register now" is removed when
        Memoirs2000 is registered.
        [+]  User  name  is  painted  on  the title of
        Memoirs'  window  in the registered version of
        Memoirs2000
        [*]  Riddle  for password is saved to document
        correctly now.

Version 2.04

        [+] New improved help file
        [*] Improved document's encryption algorithm
        (So you must download converter204.zip to
        convert to old memoirs' files version 2.03 or
        less to version 2.04)


Version 2.03 (Feb 3, 2000)

        [+] Global find. So, you can press Ctrl-F to
        find sub-string in memoirs' document. Press F3
        to continue search
        [+] Added Brazilian Portuguese language.
        Thanks to Carlos Duenas
        [+] Added option: "Save program window's
        position and size"
        [+] All toolbars' positions are saved and
        restored automatically every time when program
        exits or starts
        [+] Tray's icon signalizes document's status:
        Opened, Soft-protected, Hard-Protected
        [+] All RTF symbols like \'ff are replaced to
        single characters. It reduces document's size
        up to 30-40% for non-english languages. For
        example: Russian
        [+] Added option "Compress document by
        built-in packer or not"
        [+] Tray's icon is automatically restored
        every time when Explorer crashes
        [+] Added progress bar for loading document
        [+] Added progress bar for saving document
        [+] Added option: "Show splash screen or not"
        [+] Tray menu has been changed
        [+] Added option: "Show background image for
        menu or not"
        [+] Added option: "Use large buttons for
        toolbars or not"
        [+] Added check-boxes to Menu | View. Now it
        is possible to hide or show any toolbar
        [+] Changed default program layout
        [+] Added hot-keys: Alt-DownKey and Alt-UpKey.
        Swithes to previous of next folder
        [+] After program's installation, Program
        Group is opened

        [*] Folders panel's width is saved and
        restores correctly every time
        [*] Every time when user Rclicks on any folder
        and selects "Rename" or "Remove", this folder
        is renamed or removed. Not current folder
        [*] Passoword dialog. Exit button works fine
        [*] More correct. All no-empty tree's leafs
        are bold-faced now.
        [*] Standard toolbar's view. Corected. For
        16-color images.
        [*] Reload button is never blocked now
        [*] Ctrl-R key - for reloading document
        [*] Pop-Up hints are displayed without
        "garbage"
        [*] After uninstalling, all program's
        associations are removed from system

Version 2.02 (Dec 31, 1999)

        [*] On Alt-F4 program goes to Tray correctly

Version 2.01 (Dec 11, 1999)

        [+] Easy moving tree's leafs by with the help
        of special green arrows on tree-toolbar- up,
        down, left, right
        [+] Program goes to tray after pressing
        Alt-F4. For exitting use File | Exit
        [+] Dutch language added
        [+] German language added
        [+] New splash-screen with Santa-Claus
        [+] New tray icon
        [*] Different icons are selected for the same
        tree levels
        [*] Folder had been changed when document saved
        [*] Pop-up hints represents as vertical lines
        [*] Error message, after user has been
        selected menu item - Change register


Version 2.00 (Dec 10, 1999)

        [*] UnCleaning editor window after adding
        tree's leaf
        [*] Loss of some tree's leafs
        [*] Toolbars are painted incorrectly with some
        Windows' schemes
        [*] Menu item "Left Bar" renamed to "Folders"
        [*] Menu item "Document" renamed to "File"
        [*] Sometimes the title of messageboxes has
        "garbage"
        [+] Back/forward buttons like MSIE
        [+] Bold tree's leafs that are not empty
        [+] New advanced language system that allow to
        add new national languages very easy
        [+] Russian language added
        [+] French language added

Version 2.00 Beta 3 Build 4100 (Aug 11, 1999)

        [*] More useful tray's menu
        [+] New about dialog
        [*] When toolbar's button is clicked then
        background hides
        [+] Completed interactive help system. Now it
        is possible to press F1 time everywhere
        [*] When register of selected text is changed,
        the first letter is cutted off
        [*] Size of main module (kernel.dll) has been
        reduced at 700kb
        [*] Program's icon is transparent now
        [*] More 3D interface
        [*] New icon selecter (of tree's leaf)
        [*] Changed icon selecter dialog (before
        changing icon of mini-document)
        [*] When new mini-document has been created,
        it isn's seen elsewhere
        [*] Program restores from the tray menu to the
        full screen
        [+] New Shredder Officer tool + HELP. Utility
        for destroying/wipeing files.
        [+] Nice clocks in Statistics dialog
        [+] Pop-up hints in Security Settings Dialog
        [+] Pop-up hints in Password dialog
        [+] New Security Officer tool. Utility for
        encrypting your personal files
        [+] Nice typewriter's sounds
        [+] Anti SHOWPASS feature in Password dialog
        [+] Ability to fastly insert pictures to the document
        [+] Security officer has new interface like macintosh
        [+] New title for document
        [+] 25 new icons available for inserting
        [+] Program saves width of folders bar everytime
        [+] Ability to change icons of mini-documents


Version 2.00 Beta 2 Build 3600 (Jul 15, 1999)

        [*] Linked all Menu | Configure items and
        buttons in Options dialog with their functions
        [*] Several buttons in Password dialog doesn't
        work
        [*] Some of Memoirs2000's files with several
        spaces aren't loaded from MS Explorer
        [*] UnCleaning text in editor after adding
        tree's leaf
        [+] More comfortable "Inserting new
        mini-document" dialog
        [+] Cursor is present when you renames bar
        [*] Ability no select icon in dialog
        [*] "Cancel" button doesn't work in "document
        not found" dialog

Version 2.00 Beta 1 Build 3000 (May 7, 1999)

        [+] New program, version 1.00, 1.1 are very
        different programs





